version: '3'
services:
  wiki:
    build:
      context: .
    environment:
      - SQLALCHEMY_DATABASE_URI=postgresql://wiki:wiki@postgres/wiki
      - SECRET_KEY=super-secret-key-replace-me
      - SECURITY_PASSWORD_SALT=password-salt-replace-me
  postgres:
    image: postgres:14
    environment:
      - POSTGRES_USER=wiki
      - POSTGRES_PASSWORD=wiki
      - POSTGRES_DB=wiki
  nginx:
    image: nginx
    volumes:
      - "./nginx.conf:/etc/nginx/conf.d/default.conf:ro"
    ports:
      - "8000:80"
